Get list of access points
GET /internal/admin/comms/v1/location/access-points
Operation id: get__internal_admin_comms_v1_location_access_points
Tags: User Location
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
page | integer | No | page number for returned records |
page_size | integer | No | number of records to return per page. |
site_id | string | No | site id of required records |
tenant_id | string | Yes | tenant id of required records |
Security
- BearerAuth (http / bearer)
- Enter the token
Responses
200 — A list of access points
Content type: application/json
400 — Bad request
Content type: application/json
500 — Internal server error
Content type: application/json
Response models
200 — A list of access points
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
bssid_mapping | array | No |
{
"type": "object",
"properties": {
"bssid_mapping": {
"type": "array",
"items": {
"type": "object",
"properties": {
"bssid": {
"type": "string"
},
"name": {
"type": "string"
},
"customer_id": {
"type": "integer"
},
"site_id": {
"type": "string"
},
"location_friendly_name": {
"type": "string"
},
"created_at": {
"type": "string",
"format": "date-time"
},
"updated_at": {
"type": "string",
"format": "date-time"
}
}
}
}
}
}
400 — Bad request
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer"
},
"message": {
"type": "string"
}
}
}
500 — Internal server error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
code | integer | No | |
message | string | No |
{
"type": "object",
"properties": {
"code": {
"type": "integer"
},
"message": {
"type": "string"
}
}
}